Bug 3624 - Linux on sparc64 hw support
: Linux on sparc64 hw support
Status: RESOLVED FIXED
: Toolkit Internals
globus_core
: development
: Sun Linux
: P3 normal
: 4.0.2
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-08-06 14:24 by
Modified: 2006-04-18 10:58 (History)


Attachments
build.log of the test version of globus_core-4.26.tar.gz (8 Aug 2005) (2.07 KB, application/octet-stream)
2005-08-08 03:20, Enrico Detoma
Details
Correct build.log of the test version of globus_core-4.26.tar.gz (8 Aug 2005) (28.86 KB, application/octet-stream)
2005-08-08 05:01, Enrico Detoma
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-06 14:24:47
globus_core should be made to support linux on sparc64 hw.

I have made a new globus_core with a potential fix, but has no machine to test
it on. Please download GPT and globus_core from
http://www.isi.edu/~rynge/sparc64/ and try to build it:

- Set GPT_LOCATION and GLOBUS_LOCATION
- Install GPT (./build_gpt)
- Build globus_core in verbose mode and save the log:

  gpt-build -verbose globus_core-*.tar.gz gcc64dbg 2>&1 | tee build.log

- attach build log to this bug.

Once the build log looks good, I'll commit the fix to CVS.
------- Comment #1 From 2005-08-06 14:26:58 -------
config.guess output:
sparc64-unknown-linux-gnu
------- Comment #2 From 2005-08-08 03:20:52 -------
Created an attachment (id=665) [details]
build.log of the test version of globus_core-4.26.tar.gz (8 Aug 2005)
------- Comment #3 From 2005-08-08 04:37:04 -------
Bah, it is building the wrong
------- Comment #4 From 2005-08-08 04:39:26 -------
Bah, it is building the wrong globus_core. Before building globus_core, please
copy the new one on top of GPT's included version:

  cp globus_core-4.26.tar.gz $GPT_LOCATION/etc/gpt/globus_core-src.tar.gz

and then build globus_core.
------- Comment #5 From 2005-08-08 05:01:44 -------
Created an attachment (id=666) [details]
Correct build.log of the test version of globus_core-4.26.tar.gz (8 Aug 2005)

Here is the build.log after the replacement of globus_core with the
globus_core-4.26.tar.gz package.
------- Comment #6 From 2005-08-08 05:20:04 -------
Thanks Enrico, that looks much better. 

This means that you can probably make a successful Globus install, but I'm not
sure if the result is actually 64bit binaries or not. I will try to get a
sparc64 box up and running here, so I can get more details.
------- Comment #7 From 2005-08-08 06:11:09 -------
Thanks Mats, if you need a ssh account on my sparc64 machine please tell me and
I will create one for your tests.
In the meantime I will do some compilation tests with your fixed globus_core
package.
------- Comment #8 From 2005-08-15 10:35:52 -------
Fixes commited to globus_4_0_branch and head.

Enrico, you can make an installer with these changes by following the
instructions at http://www.globus.org/toolkit/docs/development/remote-cvs.html